<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'twentyten' ), max( $paged, $page ) );

	?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'template_directory' ); ?>/styles/jquery.ad-gallery.css" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'template_directory' ); ?>/styles/colorbox.css" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'template_directory' ); ?>/styles/imageflow.css" />
<!--<link href='http://fonts.googleapis.com/css?family=Nobile' rel='stylesheet' type='text/css'>-->
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php
	/* We add some JavaScript to pages with the comment form
	 * to support sites with threaded comments (when in use).
	 */
	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );

	/* Always have wp_head() just before the closing </head>
	 * tag of your theme, or you will break many plugins, which
	 * generally use this hook to add elements to <head> such
	 * as styles, scripts, and meta tags.
	 */
	wp_head();
?>


<script src="<?php bloginfo( 'template_directory' ); ?>/js/jquery-1.5.1.js" type="text/javascript"></script>

<script src="<?php bloginfo( 'template_directory' ); ?>/js/jquery.cycle.js" type="text/javascript"></script>
<script src="<?php bloginfo( 'template_directory' ); ?>/js/slideshow.js" type="text/javascript"></script>
<script src="<?php bloginfo( 'template_directory' ); ?>/js/custom.js" type="text/javascript"></script>
<script src="<?php bloginfo( 'template_directory' ); ?>/js/jquery.colorbox.js" type="text/javascript"></script>
<script src="<?php bloginfo( 'template_directory' ); ?>/js/imageflow.js" type="text/javascript"></script>




<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-51157658-1', 'obesityegypt.net');
  ga('send', 'pageview');

</script>

</head>

<body <?php body_class(); ?>>

  <div class="clear"></div>
<div class="in">
    
    
    <!-- ######## top bar ########### -->
			<div class="left lite_gray small_menu">
         <ul>
           <li class="home"><a href="<?php bloginfo( 'url' ); ?>">الرئيسية</a></li>
           <li class="sitemap"><a href="<?php echo get_permalink(342); ?>">خريطة الموقع</a></li>
           <li class="contactus"><a href="<?php echo get_permalink(346); ?>">أتصل بنا</a></li>
			   </ul>
      </div>
			<div class="right dark_gray big_menu">
				<?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'primary' ) ); ?>
			</div>
      
      <!-- ######## logo and slider ########### -->
      <div class="left white logo">
        <div class="language"><a href="http://www.obesityegypt.com"><img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/arabic.jpg" border="0"></a></div>
        <div class="logo_img"><a href="<?php echo home_url( '/' ); ?>"><img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/logo.jpg" border="0"></a></div>
      </div>
      

      
       <div id="slider" class="lite_gray">
          <?php include('slider.php'); ?>
       </div>
      
      <div class="clear"></div>
      
      <!-- ######## content ########### -->

